# yaml-language-server: $schema=https://git.kjuulh.io/kjuulh/cuddle/raw/branch/main/schemas/base.json

base: "git@git.kjuulh.io:kjuulh/cuddle-rust-service-plan.git"

vars:
  service: "noil-client"
  registry: kasperhermansen

  database:
    crdb: "false"

  ingress:
    - external: "true"
    - internal: "true"

components:
  assets:
    volumes:
      - from: "static"
        to: "static"
      - from: "templates"
        to: "templates"

cuddle/clusters:
  dev:
    env:
      service.host: "0.0.0.0:3000"
  prod:
    env:
      service.host: "0.0.0.0:3000"
